### Method

# Camel NameValueArray set_named

since: 3.24

#### Declaration [src]

    gboolean
    camel_name_value_array_set_named (
      CamelNameValueArray* array,
      CamelCompareType compare_type,
      const gchar* name,
      const gchar* value
    )

#### Description [src]

Finds an element named `name` and sets its value to `value`, or appends a new element, in case no such named element exists in the `array` yet. In case there are more elements named with `name` only the first occurrence is changed. The `compare_type` determines how to compare the names.

Available since: 3.24

#### Parameters

`compare_type`

  Type: `CamelCompareType`

  A compare type, one of `CamelCompareType`.

`name`

  Type: `const gchar*`

  A name.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`value`

  Type: `const gchar*`

  A value.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gboolean`

Whether the `array` changed.

See: camel_name_value_array_append, camel_name_value_array_set.